Class | ActiveRecord::RecordInvalid
In: | lib/active_record/validations.rb
Parent: | ActiveRecordError

Raised by `save!` and `create!` when the record is invalid. Use the `record` method to retrieve the record which did not validate.

      begin
        complex_operation_that_calls_save!_internally
      rescue ActiveRecord::RecordInvalid => invalid
        puts invalid.record.errors
      end

### Methods

new

### Attributes

record | [R] |

### Public Class methods

new(record)

[Validate]